# delimit;
use vulntest;
set logtype text;
log using sample, replace;
describe;
summarize;

** First we will just try it with three idiosyncratic risk variables.;
** The idiosyncratic risk variables are income, # of unemployed, and # of pensioners.;
vulnerability myhhno month TotalCons Income nunemp npens;
drop poverty vulnerability *risk*;

** Then try it again for those under the age of 80.;
vulnerability myhhno month TotalCons Income nunemp npens if age<80;
drop poverty vulnerability *risk*;

** Then generate a fake weight (since ours is not weighted data.;
gen w=2;
vulnerability myhhno month TotalCons Income nunemp npens [pweight=w];
drop poverty vulnerability *risk* w;

** Try it with log utility;
vulnerability myhhno month TotalCons Income nunemp npens, gamma(1);
drop poverty vulnerability *risk*;

** Try it with a poverty line of 1000;
vulnerability myhhno month TotalCons Income nunemp npens, z(2000);
drop poverty vulnerability *risk*;

** Try it with bootstrapped standard errors;
vulnerability myhhno month TotalCons Income nunemp npens, boot(1) nreps(200);
drop poverty vulnerability *risk*;

** Try it while running a regression afterwards.;
vulnerability myhhno month TotalCons Income nunemp npens, runregvar(sofia
burgas varna lovech montana plovdiv russe sofiargn educ2 educ3 educ4 sex age 
age2 animals cultarea res_type npens nwork famsz); 
drop poverty vulnerability *risk*;

** Try it with a regression afterwards and bootstrapped standard errors.;
vulnerability myhhno month TotalCons Income nunemp npens,
runregvar(sofia burgas varna lovech montana plovdiv russe
sofiargn  educ2 educ3 educ4 sex age age2 animals
cultarea res_type npens nwork famsz) boot(1) nreps(100); 
drop poverty vulnerability *risk*;


log close;

